package com.nasc.custom.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * @Author: Yujianq
 * @Date: 2024/6/4 16:03
 * @Description: 一次性告知单打印记录表
 * @return:
 */
public class NascPrintLog {

    /** 打印单ID */
    private Long id;

    /** 打印人员ID */
    private Long userId;

    /** 受理编号 */
    private String serialNumber;

    /** 打印人员姓名 */
    private String userName;

    /** 事项所属ID */
    private Long matter;

    /** 事项名称 */
    private String matterName;

    /** 办理类型 1 个人 2 企业 */
    private Long withType;

    /** 联系人/姓名 */
    private String contacts;

    /** 联系人电话 */
    private String phone;

    /** 身份证号码/社会信用代码 */
    private String idCard;

    /** 打印内容 */
    private String content;

    /** 企业名称 */
    private String enterpriseName;

    /** 打印类型 1 受理通知单 2 补正材料告知书 3 不予受理通知书 4 物料流转 */
    private Long printType;

    /** 打印时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date printTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public Long getMatter() {
        return matter;
    }

    public void setMatter(Long matter) {
        this.matter = matter;
    }

    public Long getWithType() {
        return withType;
    }

    public void setWithType(Long withType) {
        this.withType = withType;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Long getPrintType() {
        return printType;
    }

    public void setPrintType(Long printType) {
        this.printType = printType;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    @NotBlank(message = "打印内容不能为空")
    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getPrintTime() {
        return printTime;
    }

    public void setPrintTime(Date printTime) {
        this.printTime = printTime;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }
}
